Index: LMDZ6/branches/Amaury_dev/libf/misc/new_unit_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/new_unit_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/new_unit_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module new_unit_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/misc/nrtype.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/nrtype.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/nrtype.F90	(revision 5113)
@@ -1,5 +1,5 @@
 MODULE nrtype
 
-  implicit none
+  IMPLICIT NONE
 
   integer, parameter:: k8 = selected_real_kind(13)
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5113)
@@ -4,5 +4,5 @@
   ! Author: Lionel GUEZ
 
-  implicit none
+  IMPLICIT NONE
 
   interface regr1_step_av
@@ -21,5 +21,5 @@
   end interface
 
-  private
+  PRIVATE
   public regr1_step_av
 
@@ -30,6 +30,6 @@
     ! "vs" has rank 1.
 
-    use assert_eq_m, only: assert_eq
-    use assert_m, only: assert
+    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert, only: assert
     use interpolation, only: locate
 
@@ -89,6 +89,6 @@
     ! "vs" has rank 2.
 
-    use assert_eq_m, only: assert_eq
-    use assert_m, only: assert
+    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert, only: assert
     use interpolation, only: locate
 
@@ -149,6 +149,6 @@
     ! "vs" has rank 3.
 
-    use assert_eq_m, only: assert_eq
-    use assert_m, only: assert
+    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert, only: assert
     use interpolation, only: locate
 
@@ -210,6 +210,6 @@
     ! "vs" has rank 4.
 
-    use assert_eq_m, only: assert_eq
-    use assert_m, only: assert
+    use lmdz_assert_eq, only: assert_eq
+    use lmdz_assert, only: assert
     use interpolation, only: locate
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr_conserv_m.F90	(revision 5113)
@@ -1,6 +1,6 @@
 MODULE regr_conserv_m
 
-  USE assert_eq_m,   ONLY: assert_eq
-  USE assert_m,      ONLY: assert
+  USE lmdz_assert_eq,   ONLY: assert_eq
+  USE lmdz_assert,      ONLY: assert
   USE interpolation, ONLY: locate
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr_lint_m.F90	(revision 5113)
@@ -1,6 +1,6 @@
 MODULE regr_lint_m
 
-  USE assert_eq_m,   ONLY: assert_eq
-  USE assert_m,      ONLY: assert
+  USE lmdz_assert_eq,   ONLY: assert_eq
+  USE lmdz_assert,      ONLY: assert
   USE interpolation, ONLY: hunt
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/vampir.F90	(revision 5113)
@@ -16,5 +16,5 @@
 
   SUBROUTINE InitVampir
-    implicit none
+    IMPLICIT NONE
 
 #ifdef USE_VT
@@ -50,5 +50,5 @@
 
   SUBROUTINE VTb(number)
-    implicit none
+    IMPLICIT NONE
     INTEGER :: number
 #ifdef USE_VT    
@@ -67,5 +67,5 @@
 
   SUBROUTINE VTe(number)
-    implicit none
+    IMPLICIT NONE
     INTEGER :: Number
 #ifdef USE_VT    
Index: LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/write_field.F90	(revision 5113)
@@ -22,5 +22,5 @@
 
   function GetFieldIndex(name)
-    implicit none
+    IMPLICIT NONE
     integer :: GetFieldindex
     character(len = *) :: name
@@ -41,5 +41,5 @@
 
   subroutine WriteField3d(name, Field)
-    implicit none
+    IMPLICIT NONE
     character(len = *) :: name
     real, dimension(:, :, :) :: Field
@@ -52,5 +52,5 @@
 
   subroutine WriteField2d(name, Field)
-    implicit none
+    IMPLICIT NONE
     character(len = *) :: name
     real, dimension(:, :) :: Field
@@ -63,5 +63,5 @@
 
   subroutine WriteField1d(name, Field)
-    implicit none
+    IMPLICIT NONE
     character(len = *) :: name
     real, dimension(:) :: Field
@@ -74,5 +74,5 @@
 
   subroutine WriteField_gen(name, Field, dimx, dimy, dimz)
-    implicit none
+    IMPLICIT NONE
     character(len = *) :: name
     integer :: dimx, dimy, dimz
@@ -108,5 +108,5 @@
 
   subroutine CreateNewField(name, dimx, dimy, dimz)
-    implicit none
+    IMPLICIT NONE
     character(len = *) :: name
     integer :: dimx, dimy, dimz
@@ -129,5 +129,5 @@
 
   subroutine write_field1D(name, Field)
-    implicit none
+    IMPLICIT NONE
 
     integer, parameter :: MaxDim = 1
@@ -170,5 +170,5 @@
 
   subroutine write_field2D(name, Field)
-    implicit none
+    IMPLICIT NONE
 
     integer, parameter :: MaxDim = 2
@@ -229,5 +229,5 @@
 
   subroutine write_field3D(name, Field)
-    implicit none
+    IMPLICIT NONE
 
     integer, parameter :: MaxDim = 3
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_grid_phy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_grid_phy.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_grid_phy.F90	(revision 5113)
@@ -291,5 +291,5 @@
 
 !---------------------------------------------------------------- 
-!  Generic (private) fonctions
+!  Generic (PRIVATE) fonctions
 !---------------------------------------------------------------- 
   
Index: LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5113)
@@ -3,6 +3,6 @@
 module iophy
 
-  ! abd  REAL,private,allocatable,dimension(:),save :: io_lat
-  ! abd  REAL,private,allocatable,dimension(:),save :: io_lon
+  ! abd  REAL,PRIVATE,allocatable,dimension(:),save :: io_lat
+  ! abd  REAL,PRIVATE,allocatable,dimension(:),save :: io_lon
   REAL, allocatable, dimension(:), save :: io_lat
   REAL, allocatable, dimension(:), save :: io_lon
@@ -35,5 +35,5 @@
     USE ioipsl, only: flio_dom_set
     use wxios, only: wxios_domain_param, using_xios
-    implicit none
+    IMPLICIT NONE
     real, dimension(klon), intent(in) :: rlon
     real, dimension(klon), intent(in) :: rlat
@@ -143,5 +143,5 @@
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_grid_phy, ONLY: nbp_lon
-    implicit none
+    IMPLICIT NONE
 
     character*(*), intent(IN) :: name
@@ -205,5 +205,5 @@
     USE lmdz_grid_phy, ONLY: nbp_lon
     USE lmdz_abort_physic, ONLY: abort_physic
-    implicit none
+    IMPLICIT NONE
 
     integer, intent(in) :: nid
@@ -265,5 +265,5 @@
     USE lmdz_grid_phy, ONLY: nbp_lon
     USE lmdz_abort_physic, ONLY: abort_physic
-    implicit none
+    IMPLICIT NONE
 
     integer, intent(in) :: nid
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90	(revision 5113)
@@ -39,5 +39,5 @@
   PARAMETER (vk = 0.35)
   REAL :: beta  ! coefficient d'evaporation reelle (/evapotranspiration)
-  ! ! entre 0 et 1, mais 1 au-dessus de la mer
+  ! entre 0 et 1, mais 1 au-dessus de la mer
   PARAMETER (beta = 1.)
   INTEGER :: i, k
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5113)
@@ -72,6 +72,6 @@
       CALL exit(1)
     ENDIF
-    ! !print *,'lmt_bcff = ',lmt_bcff
-    ! !stop
+    !print *,'lmt_bcff = ',lmt_bcff
+    !stop
 
     ! BC emissions from non fossil fuel combustion
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5113)
@@ -1374,5 +1374,5 @@
 
 SUBROUTINE def_copyncl(kfin)
-      implicit none
+      IMPLICIT NONE
 
  integer i,n,kfin,ideb,ifin,istep,kfin2
@@ -1427,5 +1427,5 @@
 !c---------------------------------------------------------------
 
-      implicit none
+      IMPLICIT NONE
       integer i1,i2,nclass,iout,ismin,ismax,k2,ihalf,idiff
       real siz(nclass),ds
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90	(revision 5113)
@@ -123,5 +123,5 @@
         beta = MIN(MAX(0.0, -beta), 1.0)
       ELSE                          !--reevaporation non totale pour aerosols
-        ! !print *,'FRAC USED IN INSCAV_SPL'
+        !print *,'FRAC USED IN INSCAV_SPL'
         beta = MIN(MAX(0.0, -beta) * frac, 1.0)
       ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5113)
@@ -120,5 +120,5 @@
   !  REAL dayemintime ! time in hours of the other emissions input files resolution
   REAL :: jH_init ! shift in the hour (count as days) respecto to
-  ! ! realhour = (pdtphys*i)/3600/24 -days_elapsed
+  ! realhour = (pdtphys*i)/3600/24 -days_elapsed
   REAL :: jH_emi, jH_vent, jH_day
   SAVE jH_init, jH_vent, jH_day
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5113)
@@ -153,6 +153,6 @@
         v_dep_ss(i, k) = v_sed
         sed_flux(i, k) = tr_seri(i, k, id_coss) * v_sed !g/cm3*m/sec
-        ! !sed_ss3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
-        ! ! conc_sed_ss3D(i,k)=sed_flux(i,k)*1.e6      !g/m3*sec !!!!!!!
+        !sed_ss3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
+        ! conc_sed_ss3D(i,k)=sed_flux(i,k)*1.e6      !g/m3*sec !!!!!!!
         !
       ENDDO          !klon
@@ -221,5 +221,5 @@
         v_dep_dust(i, k) = v_sed
         sed_flux(i, k) = tr_seri(i, k, id_codu) * v_sed !g/cm3.m/sec
-        ! !sed_dust3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
+        !sed_dust3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
         !
       ENDDO          !klon
@@ -288,5 +288,5 @@
         v_dep_dustsco(i, k) = v_sed
         sed_flux(i, k) = tr_seri(i, k, id_scdu) * v_sed !g/cm3.m/sec
-        ! !sed_dustsco3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
+        !sed_dustsco3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
         !
       ENDDO          !klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module bulk_flux_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module config_ocean_skin_m
 
-  implicit none
+  IMPLICIT NONE
 
   logical, protected:: jcool ! cool skin calculation
@@ -31,5 +31,5 @@
 #ifdef IN_LMDZ
     use lmdz_ioipsl_getin_p, only: getin_p
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
 #endif
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module const
 
-  implicit none
+  IMPLICIT NONE
 
   real, parameter :: beta = 0.756 / 1023.343
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module esat_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module fv_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module mom_flux_rain_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module Phiw_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module sens_heat_rain_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module therm_expans_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5113)
@@ -773,5 +773,5 @@
 !     and Noppel et al. (1990)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T
       real, parameter ::      &
@@ -792,5 +792,5 @@
 !     equilibrium H2SO4 number density over pure H2SO4 (molec/cm3)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T
       real :: presat
@@ -811,5 +811,5 @@
 !     equilibrium H2O pressure over pure liquid water (Pa)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T
 
@@ -841,5 +841,5 @@
 !---->Vehkamaeki et al. (2002)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T, so4mfrac
       real, parameter :: &
@@ -891,5 +891,5 @@
 !---->Vehkamaeki et al. (2002)
 
-      implicit none
+      IMPLICIT NONE
       real,intent(in) :: T, so4frac
       real :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
@@ -941,5 +941,5 @@
 !                     = h2so4 mass fraction*100.
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: pph2o, T 
       
@@ -1004,5 +1004,5 @@
 !     equilibrium h2so4 number density over H2SO4/H2O solution (molec/cm3)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T, xa       ! T(K)  xa(H2SO4 mass fraction)
       
@@ -1026,5 +1026,5 @@
 !     partial molar volume of h2so4 in h2so4/h2o solution (cm3/mole)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T, ws
       real, dimension(22),parameter :: x=(/  &
@@ -1049,5 +1049,5 @@
 !     molar volume of pure h2o (cm3/mole)
 
-       implicit none
+       IMPLICIT NONE
        real, intent(in) :: T 
        real, parameter :: x1=2.393284E-02,x2=-4.359335E-05,x3=7.961181E-08
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5113)
@@ -4,5 +4,5 @@
 module ACAMA_GWD_rando_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
@@ -22,5 +22,5 @@
 !  ONLINE:
     use dimphy, only: klon, klev
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5113)
@@ -15,5 +15,5 @@
   USE lmdz_print_control, ONLY: prt_level
 
-  implicit none
+  IMPLICIT NONE
   integer klon,nt,j,it
   real logbeta(klon),pi
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5113)
@@ -42,5 +42,5 @@
 #endif
 
-      implicit none
+      IMPLICIT NONE
       include "clesphys.h"
       include "thermcell_old.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5113)
@@ -6,6 +6,6 @@
 
 module coare30_flux_cnrm_mod
-  implicit none
-  private
+  IMPLICIT NONE
+  PRIVATE
   public COARE30_FLUX_CNRM
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module coare_cp_mod
-  implicit none
-  private
+  IMPLICIT NONE
+  PRIVATE
   public psit_30, psiuo, coare_cp
 
@@ -7,5 +7,5 @@
 
   real function psit_30(zet)
-    implicit none
+    IMPLICIT NONE
     real, intent(in) :: zet
 
@@ -27,5 +27,5 @@
 
   real function psiuo(zet)
-    implicit none
+    IMPLICIT NONE
     real, intent(in) :: zet
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conccm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conccm.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conccm.F90	(revision 5113)
@@ -259,5 +259,5 @@
   REAL shprme ! intermediate specific humidity pert.
   REAL qsattp ! saturation mixing ratio for
-  ! !  thermally perturbed PBL parcels
+  !  thermally perturbed PBL parcels
   REAL dz ! local layer depth
   REAL b1 ! bouyancy measure in detrainment lvl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90	(revision 5113)
@@ -234,5 +234,5 @@
 
   nopt = 0
-  ! !      NOPT=1 ! sbl
+  !      NOPT=1 ! sbl
 
   ! ***            PERFORM DRY ADIABATIC ADJUSTMENT            ***
@@ -303,6 +303,6 @@
       fv2(i) = (v(i)-v1(i))/delt ! sbl
 
-      ! !            T1(I)=T(I)      ! commente sbl
-      ! !            R1(I)=RR(I)     ! commente sbl
+      !            T1(I)=T(I)      ! commente sbl
+      !            R1(I)=RR(I)     ! commente sbl
     END DO
   END IF
@@ -1313,5 +1313,5 @@
   ! *** Diagnose the in-cloud mixing ratio   ***              ! cld
   ! ***           of condensed water         ***              ! cld
-  ! ! cld
+  ! cld
   DO i = 1, nd ! cld
     maa(i) = 0.0 ! cld
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5113)
@@ -179,7 +179,6 @@
   
   SUBROUTINE time_interpolation(ndays,field_in,calendar,field_out)
-  USE pchsp_95_m, only: pchsp_95
-  USE pchfe_95_m, only: pchfe_95
-  USE arth_m, only: arth
+  USE lmdz_libmath_pch, only: pchsp_95, pchfe_95
+  USE lmdz_arth, only: arth
   USE dimphy, ONLY: klon
   USE ioipsl,             ONLY: ioget_year_len
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5113)
@@ -331,5 +331,5 @@
   icbmax = 2
   DO i = 1, len
-    ! !        icbmax=max(icbmax,icb(i))
+    !        icbmax=max(icbmax,icb(i))
     IF (iflag(i)<7) icbmax = max(icbmax, icb(i)) ! sb Jun7th02
   END DO
@@ -420,5 +420,5 @@
 
   ! Re-compute icbsmax (icbsmax2):        !convect3
-  ! !convect3
+  !convect3
   icbsmax2 = 2 !convect3
   DO i = 1, len !convect3
@@ -1277,18 +1277,18 @@
   END DO
 
-  ! !      if(inb.lt.(nl-1))then
-  ! !         do 85 i=inb+1,nl-1
-  ! !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
-  ! !     1              abs(buoy(inb))
-  ! !            sig(i)=amax1(sig(i),0.0)
-  ! !            w0(i)=beta*w0(i)
-  ! !   85    continue
-  ! !      end if
-
-  ! !      do 87 i=1,icb
-  ! !         sig(i)=beta*sig(i)-2.*alpha*buoy(icb)*buoy(icb)
-  ! !         sig(i)=amax1(sig(i),0.0)
-  ! !         w0(i)=beta*w0(i)
-  ! !   87 continue
+  !      if(inb.lt.(nl-1))then
+  !         do 85 i=inb+1,nl-1
+  !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
+  !     1              abs(buoy(inb))
+  !            sig(i)=amax1(sig(i),0.0)
+  !            w0(i)=beta*w0(i)
+  !   85    continue
+  !      end if
+
+  !      do 87 i=1,icb
+  !         sig(i)=beta*sig(i)-2.*alpha*buoy(icb)*buoy(icb)
+  !         sig(i)=amax1(sig(i),0.0)
+  !         w0(i)=beta*w0(i)
+  !   87 continue
 
   ! -------------------------------------------------------------
@@ -1373,31 +1373,31 @@
 
 
-  ! !      cape=0.0
-  ! !      do 98 i=icb+1,inb
-  ! !         deltap = min(pbase,ph(i-1))-min(pbase,ph(i))
-  ! !         cape=cape+rrd*buoy(i-1)*deltap/p(i-1)
-  ! !         dcape=rrd*buoy(i-1)*deltap/p(i-1)
-  ! !         dlnp=deltap/p(i-1)
-  ! !         cape=amax1(0.0,cape)
-  ! !         sigold=sig(i)
-
-  ! !         dtmin=100.0
-  ! !         do 97 j=icb,i-1
-  ! !            dtmin=amin1(dtmin,buoy(j))
-  ! !   97    continue
-
-  ! !         sig(i)=beta*sig(i)+alpha*dtmin*abs(dtmin)
-  ! !         sig(i)=amax1(sig(i),0.0)
-  ! !         sig(i)=amin1(sig(i),0.01)
-  ! !         fac=amin1(((dtcrit-dtmin)/dtcrit),1.0)
-  ! !         w=(1.-beta)*fac*sqrt(cape)+beta*w0(i)
-  ! !         amu=0.5*(sig(i)+sigold)*w
-  ! !         m(i)=amu*0.007*p(i)*(ph(i)-ph(i+1))/tv(i)
-  ! !         w0(i)=w
-  ! !   98 continue
-  ! !      w0(icb)=0.5*w0(icb+1)
-  ! !      m(icb)=0.5*m(icb+1)*(ph(icb)-ph(icb+1))/(ph(icb+1)-ph(icb+2))
-  ! !      sig(icb)=sig(icb+1)
-  ! !      sig(icb-1)=sig(icb)
+  !      cape=0.0
+  !      do 98 i=icb+1,inb
+  !         deltap = min(pbase,ph(i-1))-min(pbase,ph(i))
+  !         cape=cape+rrd*buoy(i-1)*deltap/p(i-1)
+  !         dcape=rrd*buoy(i-1)*deltap/p(i-1)
+  !         dlnp=deltap/p(i-1)
+  !         cape=amax1(0.0,cape)
+  !         sigold=sig(i)
+
+  !         dtmin=100.0
+  !         do 97 j=icb,i-1
+  !            dtmin=amin1(dtmin,buoy(j))
+  !   97    continue
+
+  !         sig(i)=beta*sig(i)+alpha*dtmin*abs(dtmin)
+  !         sig(i)=amax1(sig(i),0.0)
+  !         sig(i)=amin1(sig(i),0.01)
+  !         fac=amin1(((dtcrit-dtmin)/dtcrit),1.0)
+  !         w=(1.-beta)*fac*sqrt(cape)+beta*w0(i)
+  !         amu=0.5*(sig(i)+sigold)*w
+  !         m(i)=amu*0.007*p(i)*(ph(i)-ph(i+1))/tv(i)
+  !         w0(i)=w
+  !   98 continue
+  !      w0(icb)=0.5*w0(icb+1)
+  !      m(icb)=0.5*m(icb+1)*(ph(icb)-ph(icb+1))/(ph(icb+1)-ph(icb+2))
+  !      sig(icb)=sig(icb+1)
+  !      sig(icb-1)=sig(icb)
 
 END SUBROUTINE cv30_closure
@@ -1872,5 +1872,5 @@
   ! enddo
   ! enddo
-  ! ! RomP >>>
+  ! RomP >>>
   DO i = 1, nd
     DO il = 1, ncum
@@ -1879,5 +1879,5 @@
     END DO
   END DO
-  ! ! RomP <<<
+  ! RomP <<<
 
   ! ***  check whether ep(inb)=0, if so, skip precipitating    ***
@@ -2289,8 +2289,8 @@
   ! ***  NE PAS UTILISER POUR L'INSTANT ***
 
-  ! !      do il=1,ncum
-  ! !        wd(il)=betad*abs(mp(il,icb(il)))*0.01*rrd*t(il,icb(il))
-  ! !     :                                  /(sigd*p(il,icb(il)))
-  ! !      enddo
+  !      do il=1,ncum
+  !        wd(il)=betad*abs(mp(il,icb(il)))*0.01*rrd*t(il,icb(il))
+  !     :                                  /(sigd*p(il,icb(il)))
+  !      enddo
 
 
@@ -2943,5 +2943,5 @@
   ! *** diagnose the in-cloud mixing ratio   ***            ! cld
   ! ***           of condensed water         ***            ! cld
-  ! ! cld
+  ! cld
 
   DO i = 1, nd ! cld
@@ -3004,5 +3004,5 @@
 END SUBROUTINE cv30_yield
 
-! !RomP >>>
+!RomP >>>
 SUBROUTINE cv30_tracer(nloc, len, ncum, nd, na, ment, sij, da, phi, phi2, &
         d1a, dam, ep, vprecip, elij, clw, epmlmmm, eplamm, icb, inb)
@@ -3062,7 +3062,7 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. j<=inb(i)) THEN
-          ! !jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
+          !jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
           epm(i, j, k) = 1. - (1. - ep(i, j)) * clw(i, j) / max(elij(i, k, j), 1.E-16)
-          ! !
+          !
           epm(i, j, k) = max(epm(i, j, k), 0.0)
         END IF
@@ -3248,5 +3248,5 @@
         , epmax_diag)
   USE lmdz_abort_physic, ONLY: abort_physic
-  implicit none
+  IMPLICIT NONE
 
   ! On fait varier epmax en fn de la cape
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5113)
@@ -5131,5 +5131,5 @@
                  , pbase, p, ph, tv, buoy, sig, w0,iflag &
                  , epmax_diag)
-        implicit none
+        IMPLICIT NONE
 
         ! On fait varier epmax en fn de la cape
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5113)
@@ -1632,5 +1632,5 @@
   ! *** diagnose the in-cloud mixing ratio   ***            ! cld
   ! ***           of condensed water         ***            ! cld
-  ! ! cld
+  ! cld
   DO ij = 1, ncum ! cld
     DO i = 1, nd ! cld
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5113)
@@ -1246,5 +1246,5 @@
     !   avec w=omega * dt
     !---------------------------------------------------------------
-    implicit none
+    IMPLICIT NONE
     ! arguments
     integer llm
@@ -1282,5 +1282,5 @@
     !   sans WTG rajouter une advection horizontale
     !----------------------------------------------------------------------
-    implicit none
+    IMPLICIT NONE
     include "YOMCST.h"
     !        argument
@@ -1354,5 +1354,5 @@
     !   sans WTG rajouter une advection horizontale
     !----------------------------------------------------------------------
-    implicit none
+    IMPLICIT NONE
     include "YOMCST.h"
     !        argument
@@ -1429,5 +1429,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1477,5 +1477,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1510,5 +1510,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1599,5 +1599,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1664,5 +1664,5 @@
           &, dth_mod_cas, hth_mod_cas, vth_mod_cas, mxcalc)
 
-    implicit none
+    IMPLICIT NONE
 
     include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5113)
@@ -8,5 +8,5 @@
           &       Ts, imp_fcg, ts_fcg, Tp_fcg, Turb_fcg)
 
-    implicit none
+    IMPLICIT NONE
 
     !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -458,5 +458,5 @@
           &, d_t_adv, d_q_adv)
     use dimphy
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "dimensions.h"
@@ -490,5 +490,5 @@
 
   SUBROUTINE copie(klevgcm, playgcm, psolgcm, file_forctl)
-    implicit none
+    IMPLICIT NONE
 
     !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -703,5 +703,5 @@
 
   SUBROUTINE corresbis(psol)
-    implicit none
+    IMPLICIT NONE
 
     !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
